Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdom.input
Class DOMBuilder

    java.lang.Object
      org.jdom.input.DOMBuilder

    public class DOMBuilder

extends java.lang.Object

Builds a JDOM `org.jdom.Document` from a pre-existing DOM `org.w3c.dom.Document`. Also handy for testing builds from files to sanity check `SAXBuilder`.

Field Summary
`private java.lang.String` | `adapterClass` Adapter class to use
`private static java.lang.String` | `CVS_ID`
`private JDOMFactory` | `factory` The factory for creating new JDOM objects

Constructor Summary
`DOMBuilder()` This creates a new DOMBuilder which will attempt to first locate a parser via JAXP, then will try to use a set of default parsers.
`DOMBuilder(java.lang.String adapterClass)` This creates a new DOMBuilder using the specified DOMAdapter implementation as a way to choose the underlying parser.

Method Summary
`Document` | `build(org.w3c.dom.Document domDocument)` This will build a JDOM tree from an existing DOM tree.
`Element` | `build(org.w3c.dom.Element domElement)` This will build a JDOM Element from an existing DOM Element
`private void` | `buildTree(org.w3c.dom.Node node, Document doc, Element current, boolean atRoot)` This takes a DOM `Node` and builds up a JDOM tree, recursing until the DOM tree is exhausted and the JDOM tree results.
`JDOMFactory` | `getFactory()` Returns the current `JDOMFactory` in use.
`void` | `setFactory(JDOMFactory factory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CVS_ID

    private static final java.lang.String CVS_ID

See Also:
  Constant Field Values

### adapterClass

    private java.lang.String adapterClass

  Adapter class to use

### factory

    private JDOMFactory factory

  The factory for creating new JDOM objects

Constructor Detail

### DOMBuilder

    public DOMBuilder()

  This creates a new DOMBuilder which will attempt to first locate a parser via JAXP, then will try to use a set of default parsers. The underlying parser will not validate.

### DOMBuilder

    public DOMBuilder(java.lang.String adapterClass)

  This creates a new DOMBuilder using the specified DOMAdapter implementation as a way to choose the underlying parser. The underlying parser will not validate.

  Parameters:
    `adapterClass` - `String` name of class to use for DOM building.

Method Detail

### setFactory

    public void setFactory(JDOMFactory factory)

### getFactory

    public JDOMFactory getFactory()

  Returns the current `JDOMFactory` in use.

  Returns:
    the factory in use

### build

    public Document build(org.w3c.dom.Document domDocument)

  This will build a JDOM tree from an existing DOM tree.

  Parameters:
    `domDocument` - `org.w3c.dom.Document` object
  Returns:
    `Document` - JDOM document object.

### build

    public Element build(org.w3c.dom.Element domElement)

  This will build a JDOM Element from an existing DOM Element

  Parameters:
    `domElement` - `org.w3c.dom.Element` object
  Returns:
    `Element` - JDOM Element object

### buildTree

    private void buildTree(org.w3c.dom.Node node,
                           Document doc,
                           Element current,
                           boolean atRoot)

  This takes a DOM `Node` and builds up a JDOM tree, recursing until the DOM tree is exhausted and the JDOM tree results.

  Parameters:
    `node` - `Code to examine.`
    `doc` - JDOM `Document` being built.
    `current` - `Element` that is current parent.
    `atRoot` - `boolean` indicating whether at root level.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD